Index: cpukit/score/cpu/avr/ChangeLog
===================================================================
--- cpukit/score/cpu/avr/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/avr/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/avr/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/avr/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/avr/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -348,4 +348,6 @@
 
 #define CPU_STRUCTURE_ALIGNMENT
+
+#define CPU_TIMESTAMP_USE_STRUCT_TIMESPEC TRUE
 
 /*
Index: cpukit/score/cpu/bfin/ChangeLog
===================================================================
--- cpukit/score/cpu/bfin/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/bfin/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/bfin/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/bfin/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/bfin/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -356,4 +356,6 @@
  */
 #define CPU_STRUCTURE_ALIGNMENT
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /**
Index: cpukit/score/cpu/h8300/ChangeLog
===================================================================
--- cpukit/score/cpu/h8300/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/h8300/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/h8300/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/h8300/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/h8300/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -320,4 +320,6 @@
 
 #define CPU_STRUCTURE_ALIGNMENT
+
+#define CPU_TIMESTAMP_USE_STRUCT_TIMESPEC TRUE
 
 /*
Index: cpukit/score/cpu/i386/ChangeLog
===================================================================
--- cpukit/score/cpu/i386/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/i386/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/i386/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/i386/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/i386/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -85,4 +85,6 @@
 #define CPU_STACK_GROWS_UP               FALSE
 #define CPU_STRUCTURE_ALIGNMENT
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
Index: cpukit/score/cpu/lm32/ChangeLog
===================================================================
--- cpukit/score/cpu/lm32/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/lm32/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-08-18	Sebastien Bourdeauducq <sebastien.bourdeauducq@gmail.com>
 
Index: cpukit/score/cpu/lm32/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/lm32/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/lm32/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -351,4 +351,6 @@
  */
 #define CPU_STRUCTURE_ALIGNMENT __attribute__ ((aligned (8)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /**
Index: cpukit/score/cpu/m32c/ChangeLog
===================================================================
--- cpukit/score/cpu/m32c/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m32c/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/m32c/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m32c/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m32c/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -360,4 +360,5 @@
 #define CPU_STRUCTURE_ALIGNMENT          __attribute__ ((aligned (2)))
 
+#define CPU_TIMESTAMP_USE_STRUCT_TIMESPEC TRUE
 
 /**
Index: cpukit/score/cpu/m32r/ChangeLog
===================================================================
--- cpukit/score/cpu/m32r/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m32r/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/m32r/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m32r/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m32r/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -355,4 +355,6 @@
  */
 #define CPU_STRUCTURE_ALIGNMENT
+
+#define CPU_TIMESTAMP_USE_STRUCT_TIMESPEC TRUE
 
 /**
Index: cpukit/score/cpu/m68k/ChangeLog
===================================================================
--- cpukit/score/cpu/m68k/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m68k/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/m68k/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m68k/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/m68k/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -102,4 +102,6 @@
 #define CPU_STACK_GROWS_UP               FALSE
 #define CPU_STRUCTURE_ALIGNMENT          __attribute__ ((aligned (4)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
Index: cpukit/score/cpu/mips/ChangeLog
===================================================================
--- cpukit/score/cpu/mips/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/mips/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/mips/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/mips/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/mips/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -309,4 +309,6 @@
 #define CPU_STRUCTURE_ALIGNMENT
 #endif
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
Index: cpukit/score/cpu/nios2/ChangeLog
===================================================================
--- cpukit/score/cpu/nios2/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/nios2/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-09-16	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: cpukit/score/cpu/nios2/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/nios2/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/nios2/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -67,4 +67,6 @@
 
 #define CPU_STRUCTURE_ALIGNMENT __attribute__((section(".sdata"), aligned(32)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 #define CPU_BIG_ENDIAN FALSE
Index: cpukit/score/cpu/powerpc/ChangeLog
===================================================================
--- cpukit/score/cpu/powerpc/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/powerpc/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-08-30	Peter Dufault <dufault@hda.com>
 
Index: cpukit/score/cpu/powerpc/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/powerpc/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/powerpc/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -144,4 +144,6 @@
 #define CPU_STRUCTURE_ALIGNMENT \
   __attribute__ ((aligned (PPC_STRUCTURE_ALIGNMENT)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
Index: cpukit/score/cpu/sh/ChangeLog
===================================================================
--- cpukit/score/cpu/sh/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sh/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/sh/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/sh/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sh/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -273,4 +273,6 @@
 
 #define CPU_STRUCTURE_ALIGNMENT __attribute__ ((aligned(16)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
Index: cpukit/score/cpu/sparc/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sparc/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/sparc/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/sparc/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sparc/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -209,4 +209,6 @@
  */
 #define CPU_STRUCTURE_ALIGNMENT          __attribute__ ((aligned (16)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /**
Index: cpukit/score/cpu/sparc64/ChangeLog
===================================================================
--- cpukit/score/cpu/sparc64/ChangeLog	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sparc64/ChangeLog	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -1,2 +1,7 @@
+2011-09-27	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	PR 1914/cpukit
+	* rtems/score/cpu.h: Select timestamp implementation.
+
 2011-07-24	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: cpukit/score/cpu/sparc64/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/sparc64/rtems/score/cpu.h	(revision abd2530921c2b02731c00f066e53cfb479297554)
+++ cpukit/score/cpu/sparc64/rtems/score/cpu.h	(revision 9c121991d719a37fba3a853fe43624818acbca85)
@@ -202,4 +202,6 @@
 
 #define CPU_STRUCTURE_ALIGNMENT          __attribute__ ((aligned (16)))
+
+#define CPU_TIMESTAMP_USE_INT64_INLINE TRUE
 
 /*
